<template>
	<div
        style="height: 100%"
        @click="handleClick"
        @swipeout="false"
    >
        <menu-component></menu-component>

		<div class="form_container">
			<router-view></router-view>
		</div>

        <popup_main_menu></popup_main_menu>

        <modal
            name="success"
            adaptive
            width="400px"
            height="400px"
            transition='fade'
        >
            <div class="modal_message success">
                <div @click='$modal.hide("success")' class="close"><plus_svg></plus_svg></div>


                <div class="text">
                    {{$t('message.modal_message_success')}}
                    <br/>
                    {{$t('message.modal_message_success_text')}}
                </div>

                <button @click='$modal.hide("success")'>{{$t('message.next_step')}}</button>
            </div>
        </modal>
        <modal
            name="error"
            adaptive
            :clickToClose=false
            transition='fade'
            width="400px"
            height="400px"
        >
            <div class="modal_message warning">
                <div @click='$modal.hide("error")' class="close"><plus_svg></plus_svg></div>

                <lines_svg ></lines_svg>

                <div>
                    <div class="text" v-if="errors.email">{{errors.email[0]}}</div>
                    <div class="text" v-if="errors.password">{{errors.password[0]}}</div>
                    <div class="text" v-if="errors.c_password">{{errors.c_password[0]}}</div>
                    <div class="text" v-if="errors.o_password">{{errors.o_password[0]}}</div>
                    <div class="text" v-if="errors.topic_id">{{errors.topic_id[0]}}</div>
                    <div class="text" v-if="errors.name">{{errors.name[0]}}</div>
                    <div class="text" v-if="errors.phone">{{errors.phone[0]}}</div>
                    <div class="text" v-if="errors.text">{{errors.text[0]}}</div>
                    <div class="text" v-if="errors.birthday">{{errors.birthday[0]}}</div>
                    <div class="text" v-if="errors.way">{{errors.way[0]}}</div>
                    <div class="text" v-if="weight_error">{{weight_error}}</div>
                    <div class="text" v-if="length_error">{{length_error}}</div>
                    <div class="text" v-if="desc_error">{{desc_error}}</div>
<!--                    <div class="message" v-if="errors.text">{{errors.text[0]}}</div>-->
                </div>
                <button @click='$modal.hide("error")'>{{$t('message.close')}}</button>
            </div>
        </modal>
	</div>
</template>

<script>
	// import MenuComponent from "../components/Menu";
    import PopupMainMenu from "../components/PopupMainMenu";
    import Plus from "../components/svg/Plus";
    import Lines from "../components/svg/icons/Lines";

	export default {
		name: "Package",
        components: {
            "popup_main_menu": PopupMainMenu,
            "plus_svg": Plus,
            "lines_svg": Lines,
        },
        computed: {
            errors: function () {
                return this.$store.getters.errors;
            },
            weight_error: function () {
                return this.$store.getters.weight_error;
            },
            length_error: function () {
                return this.$store.getters.length_error;
            },
            desc_error: function () {
                return this.$store.getters.desc_error;
            },
        },
        methods: {
            handleClick (e) {
                this.$store.dispatch('handleClick');
                // this.$store.dispatch('handleClick', false);
            }
        }
	}
</script>

